MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0026961Open CASCADE[OCCT] OCCT:Application Frameworkpublic2015-12-07 15:422017-05-02 11:48
Reporterabv 
Assigned Toabv 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 7.0.0Fixed in Version[OCCT] 7.0.0 
Summary0026961: Recover possibility to read files in old persistence format
DescriptionDespite of prior warnings on removal of old OCCT persistence in OCCT 7 and absence of objections from the community, it turns that that persistent format is still in use in SALOME and several projects based on it. Hence, it is highly desirable to recover possibility to work with that format (at least, for reading), so that such projects can migrate to OCCT 7.0 preserving backward compatibility of data.

It seems to be no much sense in restoring all the code that was used to deal with that format: that code was generated by WOK and it would be difficult to maintain such vast amount of code manually. In addition, that code used some backdoor accessors injected by WOK in so-called 'persistent' classes defined by CDL, which backdoors are no more available in OCCT 7.

Thus the proposed approach is to restore only meaningful parts of old code, and rewrite parts that can be implemented more efficiently.
Steps To Reproducetestgrid * * *_std,bug23766_2
TagsNo tags attached.
Test case number
Attached Files

- Relationships
related to 0027241closedabv Open CASCADE Create a complete test case to verify reading of all attribute types from MDTV-Standard document 
related to 0027558assignedmpv Open CASCADE Restore support for reading legacy XCAF persistence format 
child of 0024927closedbugmaster Open CASCADE Getting rid of old "Persistent" functionality 

-  Notes
(0048921)
git (administrator)
2015-12-09 19:24

Branch CR26961 has been created by myn.

SHA-1: faeb6cd5475d05a3ba55ce833c61be57d227407a


Detailed log of new commits:

Author: myn
Date: Wed Dec 9 18:18:29 2015 +0300

    0026961: Recover possibility to read files in old persistence format
(0048922)
git (administrator)
2015-12-09 21:26

Branch CR26961 has been updated forcibly by myn.

SHA-1: edb46b710d8f8e0536b3ad7908cfb8a0931085c2
(0049001)
git (administrator)
2015-12-10 18:54

Branch CR26961 has been updated by myn.

SHA-1: e516c14976790c3feec0581a1d332c5fb81c53b7


Detailed log of new commits:

Author: myn
Date: Thu Dec 10 18:53:50 2015 +0300

    Cosmetics

(0049479)
git (administrator)
2015-12-22 19:02

Branch CR26961 has been updated forcibly by myn.

SHA-1: 99a33746349a05c9ba62fc8b3a2f1cedf77a7fb4
(0049486)
git (administrator)
2015-12-23 08:13

Branch CR26961 has been updated by abv.

SHA-1: d9951b8d08fb8f2bc9177598f94360a127cce2d9


Detailed log of new commits:

Author: abv
Date: Wed Dec 23 07:51:19 2015 +0300

    // correction of compiler errors and warnings

(0050431)
git (administrator)
2016-02-04 20:38

Branch CR26961 has been updated by myn.

SHA-1: 174ab26367fa0db602a7725b8d0e830eb4fa1568


Detailed log of new commits:

Author: myn
Date: Thu Feb 4 20:26:41 2016 +0300

    0026961: Recover possibility to read files in old persistence format

(0050986)
git (administrator)
2016-02-18 22:40

Branch CR26961 has been updated by myn.

SHA-1: c61e7f95bafd125c01358a34888750b62a291241


Detailed log of new commits:

Author: myn
Date: Thu Feb 18 22:39:15 2016 +0300

    0026961: Recover possibility to read files in old persistence format

(0051053)
git (administrator)
2016-02-20 23:04

Branch CR26961 has been updated by myn.

SHA-1: 07e1e483ae835c609043c8b72aba334c89261333


Detailed log of new commits:

Author: myn
Date: Sat Feb 20 23:04:42 2016 +0300

    0026961: Recover possibility to read files in old persistence format

(0051125)
git (administrator)
2016-02-25 16:06

Branch CR26961 has been updated by myn.

SHA-1: 28137e5bd807d818b956d94e6445cfa800bfa8dc


Detailed log of new commits:

Author: myn
Date: Thu Feb 25 16:02:51 2016 +0300

    0026961: Recover possibility to read files in old persistence format

(0051147)
git (administrator)
2016-02-25 22:47

Branch CR26961 has been updated by myn.

SHA-1: 2693523f53a06d60a587b6e7fb940a644e5533b9


Detailed log of new commits:

Author: myn
Date: Thu Feb 25 22:47:40 2016 +0300

    0026961: Recover possibility to read files in old persistence format

(0051190)
git (administrator)
2016-02-26 21:40

Branch CR26961 has been updated by msv.

SHA-1: ee504a3fcbd154796a5bfd0e1006b8cc8f8fd18b


Detailed log of new commits:

Author: msv
Date: Fri Feb 26 21:39:56 2016 +0300

    Restore test cases for Std persistence

(0051191)
git (administrator)
2016-02-26 21:42

Branch CR26961 has been updated forcibly by msv.

SHA-1: 4d80bfccebcc2e772be223c70a69a86620933048
(0051204)
git (administrator)
2016-02-29 10:19

Branch CR26961_2 has been created by abv.

SHA-1: 4f855d770114f99548e41e6f08337aab55e22dbe


Detailed log of new commits:

Author: myn
Date: Mon Feb 29 10:06:39 2016 +0300

    0026961: Recover possibility to read files in old persistence format
    
    Possibility to read shapes and OCAF documents from old persistence format is restored.
    
    Test cases used old persistent files on input are restored with suffix "_std"
(0051205)
git (administrator)
2016-02-29 11:02

Branch CR26961 has been updated by msv.

SHA-1: 815ed48f2f0b92893b7c032dda685d20a98f6526


Detailed log of new commits:

Author: msv
Date: Mon Feb 29 11:01:50 2016 +0300

    Eliminate compilation errors on VC12.

(0051209)
git (administrator)
2016-02-29 12:11

Branch CR26961_2 has been updated forcibly by abv.

SHA-1: 986cdbce82d630cf57685690ee11613b790002d2
(0051224)
git (administrator)
2016-02-29 16:03

Branch CR26961 has been updated by myn.

SHA-1: aa7c36dc9d63bd6e3890f7a08c443713c9cbf014


Detailed log of new commits:

Author: myn
Date: Mon Feb 29 16:00:24 2016 +0300

    0026961: Recover possibility to read files in old persistence format

(0051234)
git (administrator)
2016-02-29 17:55

Branch CR26961 has been updated by msv.

SHA-1: 059bf057ab5b5f7418d516bce51377efe9338b44


Detailed log of new commits:

Author: msv
Date: Mon Feb 29 17:55:06 2016 +0300

    // correct test cases

(0051241)
git (administrator)
2016-02-29 19:43

Branch CR26961_2 has been updated forcibly by abv.

SHA-1: bb1a00abb1d5f6e44249b172db5e8b1635cf8a54
(0051244)
git (administrator)
2016-02-29 22:09

Branch CR26961 has been updated by myn.

SHA-1: 793b41ae9851e15d5eca0034eeee01c69628eca1


Detailed log of new commits:

Author: myn
Date: Mon Feb 29 22:08:19 2016 +0300

    Implemented reading of all supported attributes

(0051245)
git (administrator)
2016-02-29 22:55

Branch CR26961 has been updated by myn.

SHA-1: 6c3640eba6133c3f17d545d2aa7dbe3d509a9537


Detailed log of new commits:

Author: myn
Date: Mon Feb 29 22:55:45 2016 +0300

    Implemented reading of all supported attributes - added missed files

(0051246)
git (administrator)
2016-02-29 22:58

Branch CR26961 has been updated by myn.

SHA-1: 82ad09266af69205933b065c33ba913602bfb625


Detailed log of new commits:

Author: myn
Date: Mon Feb 29 22:58:03 2016 +0300

    minor correction

(0051251)
git (administrator)
2016-03-01 09:44

Branch CR26961_2 has been updated by abv.

SHA-1: fbf8e6199ee473a2553f56de27edd583c3ebba07


Detailed log of new commits:

Author: abv
Date: Tue Mar 1 09:44:15 2016 +0300

    Amendments for building with CLang

(0051253)
git (administrator)
2016-03-01 10:22

Branch CR26961_2 has been updated by abv.

SHA-1: 786b12e5c8a9776bdc24e5d6539cdc5a860d05ec


Detailed log of new commits:

Author: abv
Date: Tue Mar 1 09:58:03 2016 +0300

    fix building with VS 2015

Author: myn
Date: Mon Feb 29 22:55:45 2016 +0300

    Implemented reading of all supported attributes - added missed files

Author: myn
Date: Mon Feb 29 22:08:19 2016 +0300

    Implemented reading of all supported attributes
    
    Conflicts:
        src/StdLPersistent/StdLPersistent_Collection.cxx
        src/StdLPersistent/StdLPersistent_Value.hxx

Author: abv
Date: Tue Mar 1 09:47:41 2016 +0300

    Remove unused files

(0051258)
git (administrator)
2016-03-01 11:15

Branch CR26961_2 has been updated by abv.

SHA-1: 03d28c7835e5efd2de992f252dd7666cf2918cd7


Detailed log of new commits:

Author: abv
Date: Tue Mar 1 11:14:51 2016 +0300

    fix compilation with GCC 5.2

(0051268)
git (administrator)
2016-03-01 16:03

Branch CR26961 has been updated by abv.

SHA-1: a91965888f9ea0b82a91914a7951f57441a89c1e


Detailed log of new commits:

Author: abv
Date: Tue Mar 1 09:58:03 2016 +0300

    fix building with VS 2015

(0051277)
git (administrator)
2016-03-01 17:13

Branch CR26961_2 has been updated by abv.

SHA-1: 42f5d979cd9b06c22c1f1537786c2043b33bde77


Detailed log of new commits:

Author: abv
Date: Tue Mar 1 17:13:26 2016 +0300

    Reading gp_Ax* objects is corrected

(0051290)
git (administrator)
2016-03-01 19:05

Branch CR26961 has been updated by myn.

SHA-1: 8f1d8b13578da09830669ee24e93bfacd278a700


Detailed log of new commits:

Author: myn
Date: Tue Mar 1 19:05:13 2016 +0300

    Fixed not reading surfaces

(0051291)
git (administrator)
2016-03-01 20:34

Branch CR26961 has been updated by myn.

SHA-1: 7d9239eeab4892dc0e3397516d8da8696c5876a3


Detailed log of new commits:

Author: myn
Date: Tue Mar 1 20:34:48 2016 +0300

    Fixed adding an attribute with ID=0 to a label

(0051293)
git (administrator)
2016-03-01 22:24

Branch CR26961 has been updated by myn.

SHA-1: 00a21719f7077165692b63b96e048b770e5a7e34


Detailed log of new commits:

Author: myn
Date: Tue Mar 1 22:24:37 2016 +0300

    Fixed adding a tree node to a label

(0051294)
git (administrator)
2016-03-01 23:08

Branch CR26961 has been updated by myn.

SHA-1: 4ec5aa80ed079b954f56ec60e46a1272c95cff22


Detailed log of new commits:

Author: myn
Date: Tue Mar 1 23:08:27 2016 +0300

    Fixed bug23733_std test failure

(0051295)
git (administrator)
2016-03-02 09:17

Branch CR26961_2 has been updated by abv.

SHA-1: 946b46e763d1f3695c8bdcc78afe55473d84d0a2


Detailed log of new commits:

Author: abv
Date: Wed Mar 2 09:17:46 2016 +0300

    Fixed reading of circles (radius was lost)

Author: myn
Date: Tue Mar 1 23:08:27 2016 +0300

    Fixed bug23733_std test failure

Author: myn
Date: Tue Mar 1 22:24:37 2016 +0300

    Fixed adding a tree node to a label

Author: myn
Date: Tue Mar 1 20:34:48 2016 +0300

    Fixed adding an attribute with ID=0 to a label

Author: myn
Date: Tue Mar 1 19:05:13 2016 +0300

    Fixed not reading surfaces

(0051314)
git (administrator)
2016-03-02 14:19

Branch CR26961_2 has been updated by abv.

SHA-1: 7cd6ffb120d55588d264ea0f0613319a38d4b22a


Detailed log of new commits:

Author: abv
Date: Wed Mar 2 14:19:47 2016 +0300

    Fix for GCC

(0051333)
git (administrator)
2016-03-02 23:04

Branch CR26961 has been updated by myn.

SHA-1: 0312f72c7c8fa6b9ef39db9c2ad8bd9513b934a4


Detailed log of new commits:

Author: myn
Date: Wed Mar 2 23:04:27 2016 +0300

    Fixed incorrect shape orientation and stack overflow exception

(0051334)
git (administrator)
2016-03-03 06:07

Branch CR26961_2 has been updated by abv.

SHA-1: 8f822bed3baf3912c9d7619725dbaa0e49bfbe64


Detailed log of new commits:

Author: myn
Date: Wed Mar 2 23:04:27 2016 +0300

    Fixed incorrect shape orientation and stack overflow exception
    
    Conflicts:
        src/StdDrivers/StdDrivers_DocumentRetrievalDriver.hxx
        src/StdLDrivers/StdLDrivers_DocumentRetrievalDriver.cxx
        src/StdLDrivers/StdLDrivers_DocumentRetrievalDriver.hxx

(0051338)
git (administrator)
2016-03-03 06:59

Branch CR26961_3 has been created by abv.

SHA-1: 6f819e4bec912da75fec9a3592aeb31c7ab2f31f


Detailed log of new commits:

Author: myn
Date: Wed Mar 2 23:04:27 2016 +0300

    0026961: Recover possibility to read files in old persistence format
    
    Possibility to read shapes and OCAF documents from old persistence format (Std and StdL schema) is restored.
    
    Test cases used old persistent files on input are restored with suffix "_std"
(0051339)
abv (manager)
2016-03-03 07:02

Old persistence is restored for Std and StdL schema (covering shapes, geometry, and OCAF to extent of TKCAF and TKLCAF). Please review CR26961_3
(0051340)
git (administrator)
2016-03-03 07:29

Branch CR26961_3 has been updated forcibly by abv.

SHA-1: b909bab8c89ca7d577ad584eb5424f13bce69c63
(0051343)
git (administrator)
2016-03-03 10:20

Branch CR26961_3 has been updated by msv.

SHA-1: d76b00b0b5bb06d19a0c86dd25951150e52b7a5f


Detailed log of new commits:

Author: msv
Date: Thu Mar 3 09:50:07 2016 +0300

    //Protect retrieval driver against possible access violation

(0051367)
git (administrator)
2016-03-03 13:45

Branch CR26961_3 has been updated forcibly by abv.

SHA-1: b126d0e821f34872938f5838deeb7a3bc8aadde3
(0051384)
git (administrator)
2016-03-03 18:39

Branch CR26961_3 has been updated by myn.

SHA-1: 260cea65f392e94776630be0a0116680f3fcc136


Detailed log of new commits:

Author: myn
Date: Thu Mar 3 18:39:50 2016 +0300

    Cosmetics

(0051411)
git (administrator)
2016-03-04 16:50

Branch CR26961_3 has been updated by myn.

SHA-1: 1066a4ab11be3736dd80012f2bbdd4cffb751d0b


Detailed log of new commits:

Author: myn
Date: Fri Mar 4 16:50:09 2016 +0300

    Fix for TDataStd_NamedData attribute reading

(0051413)
git (administrator)
2016-03-04 17:04

Branch CR26961_3 has been updated by msv.

SHA-1: 334fdc1a7ffef48ea3f2c0fc49b904e5777db66a


Detailed log of new commits:

Author: msv
Date: Fri Mar 4 10:05:23 2016 +0300

    Add test case that works in one of two modes:
    1) create synthetic document (in old version of OCCT) containing all possible attributes.
    2) open the document and compare all attributes with expected values.
    
    Note! this version is not yet complete, it is needed to add testing of remaining attributes.

(0051425)
git (administrator)
2016-03-04 22:06

Branch CR26961_3 has been updated by myn.

SHA-1: bd9931e1d8a39344701a9ee18a67f8d4722ea3df


Detailed log of new commits:

Author: myn
Date: Fri Mar 4 22:06:50 2016 +0300

    Finished tests for data read by MDataStd retrieval drivers; added test for NamedShape.

(0051485)
git (administrator)
2016-03-09 17:57

Branch CR26961_3 has been updated by myn.

SHA-1: 270ab32c8dff93c4fb459736c9776b3d2b1809d3


Detailed log of new commits:

Author: myn
Date: Wed Mar 9 17:54:41 2016 +0300

    Simplified the code by abandoning usage of templates from StdObjMgt_ContentTypes class for persistent data elements

Author: myn
Date: Wed Mar 9 17:39:40 2016 +0300

    Added missed readers for some unused arrays

Author: myn
Date: Wed Mar 9 17:35:31 2016 +0300

    Create point and curve representations even from NULL geometry handles

(0051492)
git (administrator)
2016-03-09 19:50

Branch CR26961_3 has been updated by myn.

SHA-1: 905a0fad8e6a04b155e9f490f4425276cd20f6db


Detailed log of new commits:

Author: myn
Date: Wed Mar 9 19:50:48 2016 +0300

    Fixed problems in the tests

(0051493)
git (administrator)
2016-03-09 19:57

Branch CR26961_3 has been updated by myn.

SHA-1: 9a5fd534e424811dcd403524c9fb95a868f7e6db


Detailed log of new commits:

Author: myn
Date: Wed Mar 9 19:56:58 2016 +0300

    Fixed SetAsciiString Draw command failed when the target label contained NamedData attribute

(0051566)
git (administrator)
2016-03-11 18:50

Branch CR26961_3 has been updated by myn.

SHA-1: 40234a4e4901aa1609da518d78a772c3e5066b8f


Detailed log of new commits:

Author: myn
Date: Fri Mar 11 18:50:26 2016 +0300

    Implemented reading of PColStd_HArray2OfReal.

(0051567)
git (administrator)
2016-03-11 19:14

Branch CR26961_3 has been updated by myn.

SHA-1: 97b77671d6b66bc0e43f80036c3b98d0db614bc8


Detailed log of new commits:

Author: myn
Date: Fri Mar 11 19:13:55 2016 +0300

    Fixed readers of some unused arrays

(0051607)
git (administrator)
2016-03-14 22:57

Branch CR26961_3 has been updated by myn.

SHA-1: c2912127a6754cd09a8ab94465e40db69248f05f


Detailed log of new commits:

Author: myn
Date: Mon Mar 14 22:56:58 2016 +0300

    Cosmetics

Author: myn
Date: Mon Mar 14 22:56:27 2016 +0300

    Fixed reading of PatternStd attribute.

Author: myn
Date: Mon Mar 14 22:55:43 2016 +0300

    Created tests for all attributes except Naming

(0051651)
git (administrator)
2016-03-15 16:04

Branch CR26961_3 has been updated by myn.

SHA-1: 06dfdfa4fea49579f3104d4261a083df2768fa13


Detailed log of new commits:

Author: myn
Date: Tue Mar 15 16:04:44 2016 +0300

    Improved test for AISPresentation attribute

(0052892)
git (administrator)
2016-04-17 13:40

Branch CR26961 has been deleted by kgv.

SHA-1: 0312f72c7c8fa6b9ef39db9c2ad8bd9513b934a4
(0052893)
git (administrator)
2016-04-17 13:40

Branch CR26961_2 has been deleted by kgv.

SHA-1: 8f822bed3baf3912c9d7619725dbaa0e49bfbe64
(0052894)
git (administrator)
2016-04-17 13:40

Branch CR26961_3 has been deleted by kgv.

SHA-1: 06dfdfa4fea49579f3104d4261a083df2768fa13

- Related Changesets
occt: master 7ed7467d
Timestamp: 2015-12-09 17:27:36
Author: abv
Committer: abv
Details ] Diff ]
0026961: Recover possibility to read files in old persistence format -- preparation

Added basic support for possibility to read filed in old persistent format.
Toolkits TKStd, TKStdL, TKShape added to provide necessary tools (to be done).
Obsolete interfaces are removed from classes in PCDM and Storage.
mod - adm/MODULES Diff ] File ]
mod - adm/UDLIST Diff ] File ]
mod - src/BinLDrivers/BinLDrivers_DocumentRetrievalDriver.cxx Diff ] File ]
mod - src/BinLDrivers/BinLDrivers_DocumentRetrievalDriver.hxx Diff ] File ]
mod - src/OS/ApplicationFramework.tcl Diff ] File ]
mod - src/PCDM/PCDM.cxx Diff ] File ]
mod - src/PCDM/PCDM.hxx Diff ] File ]
mod - src/PCDM/PCDM_ReadWriter.cxx Diff ] File ]
mod - src/PCDM/PCDM_ReadWriter_1.cxx Diff ] File ]
mod - src/PCDM/PCDM_RetrievalDriver.cxx Diff ] File ]
mod - src/PCDM/PCDM_RetrievalDriver.hxx Diff ] File ]
mod - src/PCDM/PCDM_StorageDriver.cxx Diff ] File ]
add - src/ShapePersistent/FILES Diff ] File ]
add - src/ShapePersistent/ShapePersistent.cxx Diff ] File ]
add - src/ShapePersistent/ShapePersistent.hxx Diff ] File ]
add - src/StdDrivers/FILES Diff ] File ]
add - src/StdDrivers/StdDrivers.cxx Diff ] File ]
add - src/StdDrivers/StdDrivers.hxx Diff ] File ]
add - src/StdDrivers/StdDrivers_DocumentRetrievalDriver.cxx Diff ] File ]
add - src/StdDrivers/StdDrivers_DocumentRetrievalDriver.hxx Diff ] File ]
add - src/StdLDrivers/FILES Diff ] File ]
add - src/StdLDrivers/StdLDrivers.cxx Diff ] File ]
add - src/StdLDrivers/StdLDrivers.hxx Diff ] File ]
add - src/StdLDrivers/StdLDrivers_DocumentRetrievalDriver.cxx Diff ] File ]
add - src/StdLDrivers/StdLDrivers_DocumentRetrievalDriver.hxx Diff ] File ]
add - src/StdLPersistent/FILES Diff ] File ]
add - src/StdLPersistent/StdLPersistent.cxx Diff ] File ]
add - src/StdLPersistent/StdLPersistent.hxx Diff ] File ]
add - src/StdLPersistent/StdLPersistent_PCollection_HExtendedString.cxx Diff ] File ]
add - src/StdLPersistent/StdLPersistent_PCollection_HExtendedString.hxx Diff ] File ]
add - src/StdLPersistent/StdLPersistent_PColStd_HArray1.hxx Diff ] File ]
add - src/StdLPersistent/StdLPersistent_PColStd_HArray1Base.cxx Diff ] File ]
add - src/StdLPersistent/StdLPersistent_PColStd_HArray1Base.hxx Diff ] File ]
add - src/StdLPersistent/StdLPersistent_PDataStd_Integer.cxx Diff ] File ]
add - src/StdLPersistent/StdLPersistent_PDataStd_Integer.hxx Diff ] File ]
add - src/StdLPersistent/StdLPersistent_PDataStd_Name.cxx Diff ] File ]
add - src/StdLPersistent/StdLPersistent_PDataStd_Name.hxx Diff ] File ]
add - src/StdLPersistent/StdLPersistent_PDF_Data.cxx Diff ] File ]
add - src/StdLPersistent/StdLPersistent_PDF_Data.hxx Diff ] File ]
add - src/StdLPersistent/StdLPersistent_PDocStd_Document.cxx Diff ] File ]
add - src/StdLPersistent/StdLPersistent_PDocStd_Document.hxx Diff ] File ]
add - src/StdObjMgt/FILES Diff ] File ]
add - src/StdObjMgt/StdObjMgt_MapOfInstantiators.cxx Diff ] File ]
add - src/StdObjMgt/StdObjMgt_MapOfInstantiators.hxx Diff ] File ]
add - src/StdObjMgt/StdObjMgt_Persistent.cxx Diff ] File ]
add - src/StdObjMgt/StdObjMgt_Persistent.hxx Diff ] File ]
add - src/StdObjMgt/StdObjMgt_ReadData.cxx Diff ] File ]
add - src/StdObjMgt/StdObjMgt_ReadData.hxx Diff ] File ]
add - src/StdPersistent/FILES Diff ] File ]
add - src/StdPersistent/StdPersistent.cxx Diff ] File ]
add - src/StdPersistent/StdPersistent.hxx Diff ] File ]
mod - src/StdResource/Plugin Diff ] File ]
mod - src/StdResource/Standard Diff ] File ]
mod - src/StdResource/StandardLite Diff ] File ]
mod - src/Storage/Storage_HeaderData.cxx Diff ] File ]
mod - src/Storage/Storage_HeaderData.hxx Diff ] File ]
mod - src/Storage/Storage_Root.cxx Diff ] File ]
mod - src/Storage/Storage_Root.hxx Diff ] File ]
mod - src/Storage/Storage_RootData.cxx Diff ] File ]
mod - src/Storage/Storage_RootData.hxx Diff ] File ]
mod - src/Storage/Storage_Schema.cxx Diff ] File ]
mod - src/Storage/Storage_Schema.hxx Diff ] File ]
mod - src/Storage/Storage_Schema.lxx Diff ] File ]
mod - src/Storage/Storage_TypeData.cxx Diff ] File ]
mod - src/Storage/Storage_TypeData.hxx Diff ] File ]
add - src/TKShape/CMakeLists.txt Diff ] File ]
add - src/TKShape/EXTERNLIB Diff ] File ]
add - src/TKShape/FILES Diff ] File ]
add - src/TKShape/PACKAGES Diff ] File ]
add - src/TKStd/CMakeLists.txt Diff ] File ]
add - src/TKStd/EXTERNLIB Diff ] File ]
add - src/TKStd/FILES Diff ] File ]
add - src/TKStd/PACKAGES Diff ] File ]
add - src/TKStdL/CMakeLists.txt Diff ] File ]
add - src/TKStdL/EXTERNLIB Diff ] File ]
add - src/TKStdL/FILES Diff ] File ]
add - src/TKStdL/PACKAGES Diff ] File ]
mod - src/XmlLDrivers/XmlLDrivers_DocumentRetrievalDriver.cxx Diff ] File ]
mod - src/XmlLDrivers/XmlLDrivers_DocumentRetrievalDriver.hxx Diff ] File ]
occt: master ff205346
Timestamp: 2016-03-02 20:04:30
Author: abv
Committer: abv
Details ] Diff ]
0026961: Recover possibility to read files in old persistence format

Possibility to read shapes and OCAF documents from old persistence format (Std and StdL schema) is restored.

Test cases used old persistent files on input are restored with suffix "_std"

Removing toolkit from OS package
mod - adm/MODULES Diff ] File ]
mod - adm/UDLIST Diff ] File ]
mod - src/OS/ApplicationFramework.tcl Diff ] File ]
mod - src/ShapePersistent/FILES Diff ] File ]
mod - src/ShapePersistent/ShapePersistent.cxx Diff ] File ]
add - src/ShapePersistent/ShapePersistent_BRep.cxx Diff ] File ]
add - src/ShapePersistent/ShapePersistent_BRep.hxx Diff ] File ]
add - src/ShapePersistent/ShapePersistent_Geom.hxx Diff ] File ]
add - src/ShapePersistent/ShapePersistent_Geom2d.hxx Diff ] File ]
add - src/ShapePersistent/ShapePersistent_Geom2d_Curve.cxx Diff ] File ]
add - src/ShapePersistent/ShapePersistent_Geom2d_Curve.hxx Diff ] File ]
add - src/ShapePersistent/ShapePersistent_Geom_Curve.cxx Diff ] File ]
add - src/ShapePersistent/ShapePersistent_Geom_Curve.hxx Diff ] File ]
add - src/ShapePersistent/ShapePersistent_Geom_Surface.cxx Diff ] File ]
add - src/ShapePersistent/ShapePersistent_Geom_Surface.hxx Diff ] File ]
add - src/ShapePersistent/ShapePersistent_HArray1.cxx Diff ] File ]
add - src/ShapePersistent/ShapePersistent_HArray1.hxx Diff ] File ]
add - src/ShapePersistent/ShapePersistent_HArray2.cxx Diff ] File ]
add - src/ShapePersistent/ShapePersistent_HArray2.hxx Diff ] File ]
add - src/ShapePersistent/ShapePersistent_HSequence.cxx Diff ] File ]
add - src/ShapePersistent/ShapePersistent_HSequence.hxx Diff ] File ]
add - src/ShapePersistent/ShapePersistent_Poly.cxx Diff ] File ]
add - src/ShapePersistent/ShapePersistent_Poly.hxx Diff ] File ]
add - src/ShapePersistent/ShapePersistent_TopoDS.cxx Diff ] File ]
add - src/ShapePersistent/ShapePersistent_TopoDS.hxx Diff ] File ]
mod - src/StdDrivers/StdDrivers_DocumentRetrievalDriver.cxx Diff ] File ]
mod - src/StdDrivers/StdDrivers_DocumentRetrievalDriver.hxx Diff ] File ]
mod - src/StdLDrivers/StdLDrivers_DocumentRetrievalDriver.cxx Diff ] File ]
mod - src/StdLDrivers/StdLDrivers_DocumentRetrievalDriver.hxx Diff ] File ]
add - src/StdLObject/FILES Diff ] File ]
mod - src/StdLPersistent/FILES Diff ] File ]
mod - src/StdLPersistent/StdLPersistent.cxx Diff ] File ]
add - src/StdLPersistent/StdLPersistent_Collection.cxx Diff ] File ]
add - src/StdLPersistent/StdLPersistent_Collection.hxx Diff ] File ]
add - src/StdLPersistent/StdLPersistent_Dependency.cxx Diff ] File ]
add - src/StdLPersistent/StdLPersistent_Dependency.hxx Diff ] File ]
add - src/StdLPersistent/StdLPersistent_HArray1.cxx Diff ] File ]
add - src/StdLPersistent/StdLPersistent_HArray1.hxx Diff ] File ]
add - src/StdLPersistent/StdLPersistent_HArray2.cxx Diff ] File ]
add - src/StdLPersistent/StdLPersistent_HArray2.hxx Diff ] File ]
add - src/StdLPersistent/StdLPersistent_HString.cxx Diff ] File ]
add - src/StdLPersistent/StdLPersistent_HString.hxx Diff ] File ]
add - src/StdLPersistent/StdLPersistent_NamedData.cxx Diff ] File ]
add - src/StdLPersistent/StdLPersistent_NamedData.hxx Diff ] File ]
rm - src/StdLPersistent/StdLPersistent_PColStd_HArray1.hxx Diff ] File ]
add - src/StdLPersistent/StdLPersistent_Value.cxx Diff ] File ]
add - src/StdLPersistent/StdLPersistent_Value.hxx Diff ] File ]
add - src/StdLPersistent/StdLPersistent_Void.hxx Diff ] File ]
add - src/StdObject/FILES Diff ] File ]
add - src/StdObject/StdObject_gp.hxx Diff ] File ]
mod - src/StdObjMgt/FILES Diff ] File ]
add - src/StdObjMgt/StdObjMgt_Attribute.hxx Diff ] File ]
add - src/StdObjMgt/StdObjMgt_ContentTypes.hxx Diff ] File ]
mod - src/StdObjMgt/StdObjMgt_MapOfInstantiators.hxx Diff ] File ]
mod - src/StdObjMgt/StdObjMgt_Persistent.cxx Diff ] File ]
mod - src/StdObjMgt/StdObjMgt_Persistent.hxx Diff ] File ]
mod - src/StdObjMgt/StdObjMgt_ReadData.cxx Diff ] File ]
mod - src/StdObjMgt/StdObjMgt_ReadData.hxx Diff ] File ]
add - src/StdObjMgt/StdObjMgt_SharedObject.hxx Diff ] File ]
mod - src/StdPersistent/FILES Diff ] File ]
mod - src/StdPersistent/StdPersistent.cxx Diff ] File ]
add - src/StdPersistent/StdPersistent_DataXtd.hxx Diff ] File ]
add - src/StdPersistent/StdPersistent_DataXtd_Constraint.cxx Diff ] File ]
add - src/StdPersistent/StdPersistent_DataXtd_Constraint.hxx Diff ] File ]
add - src/StdPersistent/StdPersistent_DataXtd_PatternStd.cxx Diff ] File ]
add - src/StdPersistent/StdPersistent_DataXtd_PatternStd.hxx Diff ] File ]
add - src/StdPersistent/StdPersistent_Naming.cxx Diff ] File ]
add - src/StdPersistent/StdPersistent_Naming.hxx Diff ] File ]
add - src/StdPersistent/StdPersistent_PPrsStd.cxx Diff ] File ]
add - src/StdPersistent/StdPersistent_PPrsStd.hxx Diff ] File ]
add - src/StdPersistent/StdPersistent_TopLoc.hxx Diff ] File ]
rm - src/TKShape/CMakeLists.txt Diff ] File ]
rm - src/TKShape/EXTERNLIB Diff ] File ]
rm - src/TKShape/FILES Diff ] File ]
rm - src/TKShape/PACKAGES Diff ] File ]
mod - src/TKStd/EXTERNLIB Diff ] File ]
mod - src/TKStd/PACKAGES Diff ] File ]
mod - src/TKStdL/EXTERNLIB Diff ] File ]
mod - src/TKStdL/PACKAGES Diff ] File ]
add - tests/bugs/caf/buc60756_std Diff ] File ]
add - tests/bugs/caf/buc60867_std Diff ] File ]
add - tests/bugs/caf/bug1454_std Diff ] File ]
add - tests/bugs/caf/bug1726_std Diff ] File ]
add - tests/bugs/caf/bug22788_1_std Diff ] File ]
add - tests/bugs/caf/bug22788_2_std Diff ] File ]
mod - tests/bugs/caf/bug23766_2 Diff ] File ]
add - tests/bugs/caf/bug5023_std Diff ] File ]
add - tests/bugs/modalg_5/bug24849_1_std Diff ] File ]
add - tests/bugs/modalg_5/bug24849_2_std Diff ] File ]
add - tests/bugs/modalg_5/bug25969_std Diff ] File ]
add - tests/bugs/moddata_3/bug23733_std Diff ] File ]

- Issue History
Date Modified Username Field Change
2015-12-07 15:42 abv New Issue
2015-12-07 15:42 abv Assigned To => szy
2015-12-07 15:43 abv Assigned To szy => myn
2015-12-07 15:43 abv Status new => assigned
2015-12-09 19:24 git Note Added: 0048921
2015-12-09 21:26 git Note Added: 0048922
2015-12-10 16:32 abv Relationship added related to 0026293
2015-12-10 18:54 git Note Added: 0049001
2015-12-22 19:02 git Note Added: 0049479
2015-12-23 08:13 git Note Added: 0049486
2015-12-25 19:04 abv Changeset attached => occt master 7ed7467d
2015-12-25 19:04 abv Assigned To myn => abv
2015-12-25 19:04 abv Status assigned => verified
2015-12-25 19:04 abv Resolution open => fixed
2016-02-04 20:38 git Note Added: 0050431
2016-02-18 06:39 abv Assigned To abv => myn
2016-02-18 06:39 abv Status verified => assigned
2016-02-18 22:40 git Note Added: 0050986
2016-02-20 23:04 git Note Added: 0051053
2016-02-25 16:06 git Note Added: 0051125
2016-02-25 22:47 git Note Added: 0051147
2016-02-26 21:40 git Note Added: 0051190
2016-02-26 21:42 git Note Added: 0051191
2016-02-29 10:19 git Note Added: 0051204
2016-02-29 11:02 git Note Added: 0051205
2016-02-29 12:11 git Note Added: 0051209
2016-02-29 16:03 git Note Added: 0051224
2016-02-29 17:55 git Note Added: 0051234
2016-02-29 19:43 git Note Added: 0051241
2016-02-29 22:09 git Note Added: 0051244
2016-02-29 22:55 git Note Added: 0051245
2016-02-29 22:58 git Note Added: 0051246
2016-03-01 09:44 git Note Added: 0051251
2016-03-01 10:22 git Note Added: 0051253
2016-03-01 11:15 git Note Added: 0051258
2016-03-01 16:03 git Note Added: 0051268
2016-03-01 17:13 git Note Added: 0051277
2016-03-01 19:05 git Note Added: 0051290
2016-03-01 20:34 git Note Added: 0051291
2016-03-01 22:24 git Note Added: 0051293
2016-03-01 23:08 git Note Added: 0051294
2016-03-02 09:17 git Note Added: 0051295
2016-03-02 14:19 git Note Added: 0051314
2016-03-02 23:04 git Note Added: 0051333
2016-03-03 06:07 git Note Added: 0051334
2016-03-03 06:59 git Note Added: 0051338
2016-03-03 07:02 abv Note Added: 0051339
2016-03-03 07:02 abv Assigned To myn => mpv
2016-03-03 07:02 abv Status assigned => resolved
2016-03-03 07:02 abv Steps to Reproduce Updated View Revisions
2016-03-03 07:29 git Note Added: 0051340
2016-03-03 10:20 git Note Added: 0051343
2016-03-03 13:45 git Note Added: 0051367
2016-03-03 14:03 mpv Assigned To mpv => bugmaster
2016-03-03 14:03 mpv Status resolved => reviewed
2016-03-03 17:46 apv Assigned To bugmaster => apv
2016-03-03 18:24 apv Assigned To apv => bugmaster
2016-03-03 18:39 git Note Added: 0051384
2016-03-04 16:50 git Note Added: 0051411
2016-03-04 16:52 abv Changeset attached => occt master ff205346
2016-03-04 16:52 abv Assigned To bugmaster => abv
2016-03-04 16:52 abv Status reviewed => verified
2016-03-04 17:04 git Note Added: 0051413
2016-03-04 22:06 git Note Added: 0051425
2016-03-09 17:57 git Note Added: 0051485
2016-03-09 19:40 myn Relationship added related to 0027241
2016-03-09 19:50 git Note Added: 0051492
2016-03-09 19:57 git Note Added: 0051493
2016-03-11 18:50 git Note Added: 0051566
2016-03-11 19:14 git Note Added: 0051567
2016-03-14 22:57 git Note Added: 0051607
2016-03-15 16:04 git Note Added: 0051651
2016-04-17 13:40 git Note Added: 0052892
2016-04-17 13:40 git Note Added: 0052893
2016-04-17 13:40 git Note Added: 0052894
2016-04-20 15:43 aiv Fixed in Version => 7.0.0
2016-04-20 15:50 aiv Status verified => closed
2016-06-01 16:04 san Relationship added related to 0027558
2017-05-02 11:48 abv Relationship added related to 0028705
2017-05-02 11:48 abv Relationship added child of 0024927


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker